%define section non-free

%define version 1.5.0

Name:           java-%{version}-sun-manual
Version:        %{version}
Release:        1jpp
Epoch:          0
Summary:        Java 2 SDK, Standard Edition documentation

Group:          Development/Documentation
License:        Non-distributable
URL:            http://java.sun.com/j2se/%{version}/docs/
Source0:        jdk-1_5_0-doc.zip
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5

# Because of the included IDL sample code, rpm thinks that we provide
# perl(HelloApp), but this is wrong, so we will avoid rpm's internal
# dependency generator since we don't need it for anything anyhow.
AutoReqProv:    0

%description
%{summary}.

%package     -n java-%{version}-javadoc
Summary:        Java 2 SDK, Standard Edition API documentation
Group:          Development/Documentation
Provides:       java-javadoc = %{epoch}:%{version}-%{release}

%description -n java-%{version}-javadoc
%{summary}.


%prep
%setup -q -n docs
# It could be argued that wee shouldn't clean up Sun's mess
# here so that users can find the junk and report it to Sun.
find . -type f -name "*.back" -exec rm -f {} \;
rm -f tooldocs/windows/save
rm -f guide/awt/2.0/awtnotes
rm -f guide/awt/1.5/foo
rm -f guide/serialization/spec/serial_508
# ...and there's more...


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
mv api $RPM_BUILD_ROOT%{_javadocdir}/java-%{version}
ln -s %{_javadocdir}/java-%{version} api
ln -s java-%{version} $RPM_BUILD_ROOT%{_javadocdir}/java # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post -n java-%{version}-javadoc
rm -f %{_javadocdir}/java
ln -s java-%{version} %{_javadocdir}/java


%files
%defattr(0644,root,root,0755)
%doc api guide images relnotes tooldocs index.html

%files -n java-%{version}-javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/java-%{version}
%ghost %doc %{_javadocdir}/java


%changelog
* Mon Nov 22 2004 Ville Skyttä <scop at jpackage.org> - 0:1.5.0-1jpp
- Resurrect versionless javadoc dir symlink.

* Sun Oct 17 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.5.0-0.cte.2
- Removed versionless symlink for javadoc directory.

* Fri Oct 1 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.5.0-0.cte.1
- Modified release version to use fedora.us style 0. so jpp packages
  will override mine.

* Thu Sep 30 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.5.0-1jpp
- Updated to 1.5.0 final.
- Removed %%doc files removed from upstream package.

* Thu Sep 02 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.5.0-0.rc.1jpp
- Update to J2SE 1.5.0 rc.
- Updated %%doc list for main package.
- Cleaned up the cleanup section - Sun have removed some of them.

* Fri Jul 23 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.5.0-0.beta2.1jpp
- Update to J2SE 1.5.0 Beta 2

* Mon Feb 09 2004 David Walluck <david@anti-microsoft.org> 0:1.5.0-0.beta1.1jpp
- J2SE 1.5.0 Beta 1
- fix BuildRoot
- remove backup and nfs files
- turn off rpm's internal dependency generator since it produces bogus perl
  provides

* Wed Sep 24 2003 Ville Skyttä <scop at jpackage.org> - 0:1.4.2-1jpp
- First build.
